This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 711177 - user-theme extension causes css to malfunction for other extensions
user-theme extension causes css to malfunction for other extensions
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-shell-extensions (Show other bugs)
15
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Rahul Sundaram
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-06 14:03 EDT by Leon Keijser
Modified: 2012-08-07 13:18 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 13:18:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Leon Keijser 2011-06-06 14:03:17 EDT
Description of problem:
When the user-theme extension is installed, CSS styles for other installed extensions is overrided and/or doesn't work.

Version-Release number of selected component (if applicable):
gnome-shell-extensions-user-theme-3.0.2-1.g63dd27cgit.fc15.noarch

How reproducible:
Install gnome-shell-system-monitor extension. Install user-theme extension. Reload gnome-shell.

Steps to Reproduce:
1. install system-monitor extension from https://github.com/paradoxxxzero/gnome-shell-system-monitor-applet
2. install user-theme extension
3. reload
  
Actual results:
system-monitor extension looks weird (no padding, same font for all text)

Expected results:
system-monitor extension should look good (padding, different font for text)

Additional info:
i know system-monitor extension is not supported by fedora, but this is the most recognizable when the issue occurs.
Comment 1 Timur Kristóf 2011-06-07 04:20:44 EDT
This is a known upstream bug.
https://bugzilla.gnome.org/show_bug.cgi?id=650971
Comment 2 Timur Kristóf 2011-06-07 04:21:54 EDT
Good news, upstream has just got a fix for this, so we will try to get it into the Fedora packages as soon as possible.
Comment 3 Rahul Sundaram 2011-06-07 04:29:10 EDT
If you are pushing an update for this, you might also fix bug #709574
Comment 4 Leon Keijser 2011-06-26 14:43:36 EDT
just updated to 3.0.2-4.fc15.x86_64 but the problem is still there.

The patches described here:

http://www.webupd8.org/2011/06/fix-gnome-shell-to-work-with-user-theme.html

make things work properly again though.
Comment 5 Fedora End Of Life 2012-08-07 13:18:11 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.